package main

import "fmt"

// section: function
func Echo[T any](input T) T {
	return input
}

// section: function

func main() {
	// Works with any type
	fmt.Println(Echo("Hello, World!"))
	fmt.Println(Echo(42))
	fmt.Println(Echo(3.14))
	fmt.Println(Echo(true))
}
